std::system_error(3cxx)

NAME
std::system_error

SYNOPSIS

Inherits std::runtime_error.

Inherited by std::experimental::filesystem::v1::filesystem_error.

  Public Member Functions

system_error (error_code __ec=error_code())
system_error (error_code __ec, const string &__what)
system_error (error_code __ec, const char *__what)
system_error (int __v, const error_category &__ecat, const char *__what)
system_error (int __v, const error_category &__ecat)
system_error (int __v, const error_category &__ecat, const string &__what)
const error_code & code () const noexcept
virtual const char * what () const noexcept

Detailed Description

Thrown to indicate error code of underlying system.

Definition at line 333 of file system_error.

Member Function Documentation

  virtual const char* std::runtime_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.